- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# Application configuration

## Defines
#define | STK525 1
| To include proper target hardware definitions, select target board (USBKEY).
#define | TARGET_BOARD STK525
#define | FOSC 8000
| Enable (define) or not (undefine) the ADC usage.
#define | USE_TIMER16 TIMER16_1
#define | HOST_SYNC_MODE ENABLE
#define | HOST_UPGRADE_MODE DISABLE
#define | BAUDRATE 57600
#define | USE_UART2
#define | UART_U2
#define | uart_putchar putchar
#define | r_uart_ptchar int
#define | p_uart_ptchar int
#define | SBC_VENDOR_ID {'A','T','M','E','L',' ',' ',' '}
#define | SBC_PRODUCT_ID {'A','T','9','0','U','S','B','1','2','8',' ','M',' ','S',' ',' '}
#define | SBC_REVISION_ID {'0','.','0','0'}
#define | MAX_FILE_LENGHT 30
#define | USHELL_DFU DISABLE
#define | USHELL_USB ENABLE
#define | USHELL_HID DISABLE
#define | USHELL_HISTORY 1
#define | USHELL_NB_LINE 20
#define | USHELL_NB_COL 80
#define | TRACE DISABLE
#define | LOG_STR_CODE(s) ushell_trace_msg(s)
## Functions
void | ushell_trace_msg (U8 code *str)

## Define Documentation

#define STK525 1

To include proper target hardware definitions, select target board (USBKEY).

Definition at line 62 of file config.h.

#define TARGET_BOARD STK525

Definition at line 63 of file config.h.

#define FOSC 8000

Enable (define) or not (undefine) the ADC usage.

CPU core frequency in kHz

Definition at line 70 of file config.h.

#define USE_TIMER16 TIMER16_1

Definition at line 72 of file config.h.

#define HOST_SYNC_MODE ENABLE

Definition at line 76 of file config.h.

#define HOST_UPGRADE_MODE DISABLE

Definition at line 80 of file config.h.

#define BAUDRATE 57600

Definition at line 84 of file config.h.

Referenced by uart_init().

#define USE_UART2

Definition at line 85 of file config.h.

#define UART_U2

Definition at line 86 of file config.h.

#define uart_putchar putchar

Definition at line 89 of file config.h.

#define r_uart_ptchar int

Definition at line 92 of file config.h.

#define p_uart_ptchar int

Definition at line 93 of file config.h.

#define SBC_VENDOR_ID {'A','T','M','E','L',' ',' ',' '}

Definition at line 96 of file config.h.

#define SBC_PRODUCT_ID {'A','T','9','0','U','S','B','1','2','8',' ','M',' ','S',' ',' '}

Definition at line 97 of file config.h.

#define SBC_REVISION_ID {'0','.','0','0'}

Definition at line 98 of file config.h.

#define MAX_FILE_LENGHT 30

Definition at line 102 of file config.h.

Referenced by ushell_cmd_copy(), ushell_cmd_ls(), and ushell_path_valid_syntac().

#define USHELL_DFU DISABLE

Definition at line 106 of file config.h.

#define USHELL_USB ENABLE

Definition at line 107 of file config.h.

#define USHELL_HID DISABLE

Definition at line 108 of file config.h.

#define USHELL_HISTORY 1

Definition at line 109 of file config.h.

Referenced by ushell_cmd_decode(), ushell_history_down(), ushell_history_up(), and ushell_task_init().

#define USHELL_NB_LINE 20

Definition at line 111 of file config.h.

Referenced by ushell_cmd_cat(), and ushell_cmd_ls().

#define USHELL_NB_COL 80

Definition at line 112 of file config.h.

#define TRACE DISABLE

Definition at line 114 of file config.h.

#define LOG_STR_CODE | ( | s |  | ) | ushell_trace_msg(s)

Definition at line 118 of file config.h.

Referenced by host_mem_install(), usb_general_interrupt(), and usb_host_task().

## Function Documentation

void ushell_trace_msg | ( | U8 code * | str | ) |